Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::CameraAnimationData Class Reference

カメラアニメーションデータ More...

`#include <CameraAnimationData.h>`

Inheritance diagram for Lamp::CameraAnimationData:

List of all members.

## Public Member Functions
virtual AnimationData * | copy () const
| コピー
virtual CameraAnimationData * | copyCameraAnimationData () const
| カメラアニメーションデータのコピー
virtual void | setSequenceCount (int sequenceCount)
| シーケンス数の設定
virtual int | getSequenceCount () const
| シーケンス数の取得
virtual void | setRotation (int sequence, RotationInterpolator *rotation)
| 回転の設定
virtual RotationInterpolator * | getRotation (int sequence) const
| 回転の取得
virtual void | setTranslation (int sequence, VectorInterpolator *translation)
| 移動の設定
virtual VectorInterpolator * | getTranslation (int sequence) const
| 移動の取得
virtual bool | isCameraAnimationData () const
| カメラアニメーションデータかどうか
## Protected Member Functions
| CameraAnimationData (const String &name, AnimationManager *manager)
| コンストラクタ
virtual | ~CameraAnimationData ()
| デストラクタ
virtual Sequence * | getSequence (int sequence)
| シーケンスの取得
virtual const Sequence * | getSequence (int sequence) const
| シーケンスの取得
## Friends
class | AnimationManager

## Detailed Description

カメラアニメーションデータ

Definition at line 38 of file CameraAnimationData.h.

## Constructor & Destructor Documentation

Lamp::CameraAnimationData::CameraAnimationData | ( | const String & | name,
|  | AnimationManager * | manager
| ) | `[inline, protected]`

  | コンストラクタ Parameters:
  name | 名前
  manager | アニメーションマネージャ
Definition at line 206 of file CameraAnimationData.h. References NULL.

## Member Function Documentation

virtual AnimationData* Lamp::CameraAnimationData::copy | ( |  | ) | const`[inline, virtual]`

| コピー Returns: コピーされたアニメーションデータ Implements Lamp::AnimationData. Definition at line 106 of file CameraAnimationData.h. References copyCameraAnimationData().

virtual RotationInterpolator* Lamp::CameraAnimationData::getRotation | ( | int | sequence | ) | const`[inline, virtual]`

  | 回転の取得 Parameters:
  sequence | シーケンス
Returns: 回転 Definition at line 155 of file CameraAnimationData.h. References Assert, and Lamp::CameraAnimationData::CameraSequence::rotation_. Referenced by Lamp::CameraAnimation::animate(), Lamp::AnimationCompressor::compressCameraAnimation(), Lamp::TextAnimationSaver::writeCameraAnimationData(), and Lamp::BinaryAnimationSaver::writeCameraAnimationData().

virtual const Sequence* Lamp::CameraAnimationData::getSequence | ( | int | sequence | ) | const`[inline, protected, virtual]`

  | シーケンスの取得 Parameters:
  sequence | シーケンス
Returns: シーケンス Implements Lamp::AnimationData. Definition at line 234 of file CameraAnimationData.h. References Assert.

virtual Sequence* Lamp::CameraAnimationData::getSequence | ( | int | sequence | ) | `[inline, protected, virtual]`

  | シーケンスの取得 Parameters:
  sequence | シーケンス
Returns: シーケンス Implements Lamp::AnimationData. Definition at line 223 of file CameraAnimationData.h. References Assert.

virtual int Lamp::CameraAnimationData::getSequenceCount | ( |  | ) | const`[inline, virtual]`

| シーケンス数の取得 Returns: シーケンス数 Implements Lamp::AnimationData. Definition at line 131 of file CameraAnimationData.h. Referenced by Lamp::AnimationCompressor::compressCameraAnimation(), copyCameraAnimationData(), Lamp::TextAnimationSaver::writeCameraAnimationData(), and Lamp::BinaryAnimationSaver::writeCameraAnimationData().

virtual VectorInterpolator* Lamp::CameraAnimationData::getTranslation | ( | int | sequence | ) | const`[inline, virtual]`

  | 移動の取得 Parameters:
  sequence | シーケンス
Returns: 移動 Definition at line 184 of file CameraAnimationData.h. References Assert, and Lamp::CameraAnimationData::CameraSequence::translation_. Referenced by Lamp::CameraAnimation::animate(), Lamp::AnimationCompressor::compressCameraAnimation(), Lamp::TextAnimationSaver::writeCameraAnimationData(), and Lamp::BinaryAnimationSaver::writeCameraAnimationData().

virtual bool Lamp::CameraAnimationData::isCameraAnimationData | ( |  | ) | const`[inline, virtual]`

| カメラアニメーションデータかどうか Returns: カメラアニメーションデータならtrue Reimplemented from Lamp::AnimationData. Definition at line 197 of file CameraAnimationData.h.

virtual void Lamp::CameraAnimationData::setRotation | ( | int | sequence,
|  | RotationInterpolator * | rotation
| ) | `[inline, virtual]`

  | 回転の設定 Parameters:
  sequence | シーケンス
  rotation | 設定する回転
Definition at line 141 of file CameraAnimationData.h. References Assert, Lamp::CameraAnimationData::CameraSequence::calcLength(), Lamp::CameraAnimationData::CameraSequence::rotation_, and SafeDelete. Referenced by Lamp::AnimationCompressor::compressCameraAnimation(), Lamp::TextAnimationLoader::readCameraAnimationData(), and Lamp::BinaryAnimationLoader::readCameraAnimationData().

virtual void Lamp::CameraAnimationData::setSequenceCount | ( | int | sequenceCount | ) | `[inline, virtual]`

  | シーケンス数の設定 Parameters:
  sequenceCount | シーケンス数
Implements Lamp::AnimationData. Definition at line 120 of file CameraAnimationData.h. References SafeArrayDelete. Referenced by copyCameraAnimationData(), Lamp::TextAnimationLoader::readCameraAnimationData(), and Lamp::BinaryAnimationLoader::readCameraAnimationData().

virtual void Lamp::CameraAnimationData::setTranslation | ( | int | sequence,
|  | VectorInterpolator * | translation
| ) | `[inline, virtual]`

  | 移動の設定 Parameters:
  sequence | シーケンス
  translation | 設定する移動
Definition at line 169 of file CameraAnimationData.h. References Assert, Lamp::CameraAnimationData::CameraSequence::calcLength(), SafeDelete, and Lamp::CameraAnimationData::CameraSequence::translation_. Referenced by Lamp::AnimationCompressor::compressCameraAnimation(), Lamp::TextAnimationLoader::readCameraAnimationData(), and Lamp::BinaryAnimationLoader::readCameraAnimationData().

The documentation for this class was generated from the following files:

- CameraAnimationData.h
- CameraAnimationData.cpp